> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decentri.org/llms.txt
> Use this file to discover all available pages before exploring further.

# List all offering purchase intents

> Get all offering purchase intents



## OpenAPI

````yaml GET /offering-purchase-intent
openapi: 3.0.0
info:
  title: Decentri API
  description: The infrastructure for tokenizing real world assets
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /offering-purchase-intent:
    get:
      tags:
        - Offering-Purchase-Intent
      summary: Get all offering purchase intents
      description: Get all offering purchase intents
      operationId: list
      parameters:
        - name: offeringId
          required: true
          in: query
          schema:
            type: string
      responses:
        '200':
          description: The offering purchase intents have been successfully retrieved
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/OfferingPurchaseIntentDTO'
        '403':
          description: Forbidden.
        '500':
          description: Internal Server Error.
components:
  schemas:
    OfferingPurchaseIntentDTO:
      type: object
      properties:
        offeringPurchaseIntentId:
          type: string
          example: cmVhY3Rpb24vMTIzNA75
          description: The offering purchase intent ID
        offeringId:
          type: string
          example: cmVhY3Rpb24vMTIzNA75
          description: The offering ID
        walletAddress:
          type: string
          example: '0x49a491f024dc14DA7e57705600182Ff51511B07e'
          description: The wallet address
        customerId:
          type: string
          example: cm23H3Rpb24vMTIzNA75
          description: The customer ID
        payment:
          description: The payment
          allOf:
            - $ref: '#/components/schemas/PaymentDTO'
        createdAt:
          format: date-time
          type: string
          example: '2025-01-01T00:00:00.000Z'
          description: The date the offering purchase intent was created
        updatedAt:
          format: date-time
          type: string
          example: '2025-01-01T00:00:00.000Z'
          description: The date the offering purchase intent was last updated
      required:
        - offeringPurchaseIntentId
        - offeringId
        - walletAddress
        - customerId
        - payment
        - createdAt
        - updatedAt
    PaymentDTO:
      type: object
      properties:
        purchaseAmount:
          type: number
          example: 100
          description: The purchase amount
        tokenAmount:
          type: number
          example: 100.1
          description: The token amount
        purchaseStatus:
          type: string
          description: The purchase status
          example: COMPLETED
          enum:
            - COMPLETED
            - FAILED
            - PENDING
            - CANCELLED
        currency:
          type: string
          description: The currency
          example: USD
          enum:
            - USD
            - EUR
      required:
        - purchaseAmount
        - tokenAmount
        - purchaseStatus
        - currency

````